subtle - Bug #315

subtle does not compile on archlinux
01/06/2015 03:14 PM - Frangois-Xavier LdM

Status: Fixed Start date: 01/06/2015
Priority: Immediate Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
When compiling :

/usr/include/X11/Xft/Xft.h:39:22: fatal error: ft2build.h: No such file or directory
#include <ft2build.h>

Quickfix : add

-l/usr/include/freetype2

in the ccppath variable of the RakeFile.

The Xft library package 2.3.2-1 seams to be the problem, but since subtle didn't needed to be rebuild until new version of ruby
2.2.0-1, the problems was hidden.

History

#1 - 01/06/2015 03:19 PM - Christoph Kappel

Thanks for the report, unfortunately | don't have an arch machine here right now.
Can you please show me the output of pkg-config --libs --cflags xft?

#2 - 01/06/2015 03:53 PM - Frangois-Xavier LdM

Hello,

here is the result :

@

~$ pkg-config --libs --cflags xft

-l/usr/include/freetype2 -l/usr/include/libpng16 -l/usr/include/harfbuzz -l/usr/include/freetype?2 -l/usr/include/libpng16 -l/usr/include/harfbuzz -IXft
@

#3 - 01/06/2015 03:55 PM - Christoph Kappel

Do you compile subtle on your own or via pkgbuild?

When you do it on your own, did you try to re-run the build script and wipe the old cached config data? The output of pkgconfig looks fine for me tho.
#4 - 01/06/2015 04:14 PM - Frangois-Xavier LdM

| tried both,

It seams to be a ruby issue :

https://aur.archlinux.org/packages/subtle/
--> https://bugs.ruby-lang.org/issues/10651

#5 - 01/06/2015 04:21 PM - Christoph Kappel
Weird, let me fetch 2.2.0 and give it a spin.

#6 - 01/06/2015 04:48 PM - Christoph Kappel
- Status changed from Confirmed to Fixed

- % Done changed from 0 to 100
Applied in changeset 31e0a9716e58.

#7 - 01/06/2015 04:50 PM - Christoph Kappel
- Status changed from Fixed to Unconfirmed

- % Done changed from 100 to 0

I've added a check for this in r3244, please update your repo and give it a try.

#8 - 01/06/2015 04:58 PM - Francois-Xavier LdM

No more compilation compilation issue !
Thank you for this fix (sadly, #316 does not allow me to use subtle for now /)

#9 - 01/06/2015 05:01 PM - Christoph Kappel

No problem, | am looking into #316 right now.

#10 - 12/21/2017 03:25 PM - Christoph Kappel
- Status changed from Unconfirmed to Fixed

- % Done changed from 0 to 100

Applied in changeset 31e0a9716e58.
